Commit 569f8d37 authored by Christian Persch's avatar Christian Persch

Explicitly link against gthread-2.0

This fixes the build with glib < 2.24.
parent 22441649
......@@ -123,6 +123,7 @@ rsvg_convert_LDADD = \
$(LIBRSVG_LIBS) \
$(LIBCROCO_LIBS) \
$(LIBGSF_LIBS) \
$(GTHREAD_LIBS) \
$(libm)
rsvg_view_SOURCES = \
......@@ -149,6 +150,7 @@ rsvg_view_LDADD = \
$(LIBRSVG_LIBS) \
$(LIBCROCO_LIBS) \
$(LIBGSF_LIBS) \
$(GTHREAD_LIBS) \
$(libm)
rsvg_view_3_SOURCES = \
......@@ -175,6 +177,7 @@ rsvg_view_3_LDADD = \
$(LIBRSVG_LIBS) \
$(LIBCROCO_LIBS) \
$(LIBGSF_LIBS) \
$(GTHREAD_LIBS) \
$(libm)
EXTRA_DIST = \
......
......@@ -59,6 +59,8 @@ AM_PROG_CC_C_O
AC_C_BIGENDIAN
PKG_PROG_PKG_CONFIG
dnl ===========================================================================
#AC_CANONICAL_HOST
......@@ -89,12 +91,6 @@ AM_CONDITIONAL(OS_WIN32, test "$native_win32" = "yes")
dnl ===========================================================================
PKG_CHECK_MODULES(GLIB, \
glib-2.0 >= $GLIB_REQUIRED \
gthread-2.0 >= $GLIB_REQUIRED)
AC_SUBST(GLIB_LIBS)
AC_SUBST(GLIB_CFLAGS)
GLIB_MKENUMS=`$PKG_CONFIG --variable=glib_mkenums glib-2.0`
AC_SUBST(GLIB_MKENUMS)
......@@ -110,6 +106,8 @@ PKG_CHECK_MODULES(LIBRSVG, \
fontconfig >= $FONTCONFIG_REQUIRED
freetype2)
PKG_CHECK_MODULES([GTHREAD],[gthread-2.0 >= $GLIB_REQUIRED])
dnl ===========================================================================
# Using GIO 2.24 we support reading .svg.gz data
......
......@@ -124,7 +124,7 @@ GTKDOC_LIBS = \
$(top_builddir)/librsvg-@RSVG_API_MAJOR_VERSION@.la \
$(LIBRSVG_LIBS) \
$(LIBGSF_LIBS) \
$(GLIB_LIBS) \
$(GTHREAD_LIBS) \
$(LIBCROCO_LIBS) \
$(GTK_LIBS)
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment